import java.io.*;
import java.util.Scanner;

import javax.swing.plaf.basic.BasicInternalFrameTitlePane.SystemMenuBar;

import java.sql.SQLIntegrityConstraintViolationException;
public class ThreatDetection{
    public static void main(String[] args)throws IOException{
        Scanner input = new Scanner(System.in);
        Fingerprint original = new Fingerprint("Original.txt");
        System.out.print("Define a maximum # of tries: ");
        int maxTries = input.nextInt();
        int tries = 0;
        //Threat Detection
        while( tries <= maxTries ){
            if(tries >= maxTries){
                System.out.println("Access Denied.");
                break;
            }
            else{
                System.out.print("Provide Fingerprint: ");
                String file = input.next();
                Fingerprint currentFingerprint = loadFingerprint(file);
                if( (currentFingerprint.equals(original)) && (tries < maxTries)){
                    System.out.println("Succeed Authentication");
                    break;
                }
                else{
                    tries++;
            }
            }
            
        }

    
    }

    public static Fingerprint loadFingerprint(String fileName)throws IOException{
        return new Fingerprint(fileName);
        
    }


}